/**
 * @brief Dump a grid to graphviz on standard out.
 *
 * @param node
 */
void nocsim_dump_graphviz(FILE* stream, ll_node* head) {
	ll_node* cursor;

	fprintf(stream, "digraph G {\n");

	foreach_element(cursor, head) {
		/* XXX: this might be bad, unsigned int might be too short */
		fprintf(stream, "\"%x\" [label=\"%s\"]\n",
			(unsigned int) ll2node(cursor),
			ll2node(cursor)->id
		);
	}

	foreach_element(cursor, head) {
		for (nocsim_direction d = N; d <= P; d++) {
			if (ll2node(cursor)->outgoing[d] == NULL) {
				continue;
			}

			fprintf(stream, "\"%x\" -> \"%x\"\n",
				(unsigned int) ll2node(cursor),
				(unsigned int) ll2node(cursor)->outgoing[d]->to
			);
		}
	}

	fprintf(stream, "}\n");
}

